B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=12.8
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim reqManager As DBRequestManager
End Sub

Sub prueba
	Log(456789)
	reqManager.Initialize(reqManager, Starter.DBReqServer)
	Dim cmd As DBCommand
	cmd.Initialize
	cmd.Name = "select_ruta_INTMEX_7"
	cmd.Parameters = Array As Object(5, 1)
'	Log($"${ALMACEN},${e_ruta.text},${imei}"$)
	reqManager.ExecuteQuery(cmd , 0, "ruta")
End Sub

Sub JobDone(Job As HttpJob)
	Log(Job.Success)
	If Job.Success = False Then
		Log("Error: " & Job.ErrorMessage)
	Else
		LogColor("JobDone: '" & reqManager.HandleJob(Job).tag & "' - Registros: " & reqManager.HandleJob(Job).Rows.Size, Colors.Green)  'Mod por CHV - 211027
		If Job.JobName = "DBRequest" Then
			Dim RESULT As DBResult = reqManager.HandleJob(Job)
			If RESULT.Tag = "ruta" Then 'query tag
				Log("JOBDONE VALIDADOR RUTA")
				Log(RESULT.Rows.Size)
				Subs.logJobDoneResultados(RESULT)
			End If
		End If
		
		
		Job.Release
	End If
	
End Sub